import { Logger } from '@dvn/core/log/logger';
import { CreateSessionResponse } from '@dvn/kimlik/api/dto';
import { GetSessionResponse } from '@dvn/kimlik/api/dto/CreateSession';
import { KimlikApi } from '@dvn/kimlik/api/kimlikApi';
import { Storage } from '@dvn/kimlik/storage/Storage.interface';
export declare class KimlikApiDemo implements KimlikApi {
  private database;
  private logger;
  private storage;
  constructor(database: any, storage: Storage, logger: Logger);
  activateUser(email: string, firstName: string, lastName: string, password: string): Promise<CreateSessionResponse>;
  addAuthInterceptor(_token: string): void;
  login(email: string, password: string): Promise<CreateSessionResponse>;
  logout(): Promise<{}>;
  register(email: string, firstName: string, lastName: string, password: string): Promise<CreateSessionResponse>;
  getSession(): Promise<GetSessionResponse>;
}
